
#!/usr/bin/python
#-*- coding:utf-8 -*-

# Author ghost<lvxiang119@gmail.com>

def sendMail(TO, CC, TEXT, SUBJECT="SUBJECT", FROM_TITLE="FROM?", TO_TITLE="TO?"):
    """
     Send a email
    """

    import smtplib
    from email.mime.text import MIMEText
    from email.header import Header

    def _format_addr(s):
        from email.utils import parseaddr, formataddr
        from email.header import Header

        name, addr = parseaddr(s)
        return formataddr((Header(name, 'utf-8').encode(), addr))


    FROM = os.environ['sender']
    SERVER = os.environ['sender_host']
    message = MIMEText(TEXT, 'html', 'utf-8')
    message['From'] = _format_addr('%s <%s>' % FROM,FROM)
    message['To'] = Header(",".join(TO), 'utf-8')
    message['Cc'] = ",".join("{} <{}>;".format(a, a) for a in CC)
    message['Subject'] = Header(SUBJECT, 'utf-8')

    # Send the mail
    server = smtplib.SMTP(SERVER)
    server.starttls()
    server.login(FROM, os.environ['sender_mail_pass'])
    server.sendmail(FROM, TO + CC, message.as_string())
    server.quit()
    print("Send mail from {} to {} ".format(FROM, TO))
