#!/usr/bin/python
#-*- coding:utf-8 -*-

import itchat
import sys


from bot import XiaoLingBot

msglist = list()

@itchat.msg_register(
    [
        itchat.content.TEXT,
        itchat.content.PICTURE,
        itchat.content.MAP,
        itchat.content.CARD,
        itchat.content.SHARING,
        itchat.content.NOTE,
        itchat.content.RECORDING,
        itchat.content.ATTACHMENT,
        itchat.content.VIDEO,
        itchat.content.FRIENDS,
    ],
    isFriendChat=True,
    isGroupChat=True
)
def msg_acceptor(msg):
    msg['Visitor'] = 0
    msglist.append(msg)



if __name__ == '__main__':
    if len(sys.argv) > 1:
        if sys.argv[1] == '-t':
            itchat.auto_login(hotReload=True, enableCmdQR=2)
    else:
        if sys.platform == 'linux':
            if "XDG_CURRENT_DESKTOP" in os.environ:
                itchat.auto_login(hotReload=True)
            else:
                itchat.auto_login(hotReload=True, enableCmdQR=2)
        else:
            itchat.auto_login(hotReload=True)


    run_thread = Thread(target=itchat.run)
    bot_thread=Thread(target=XiaoLingBot.XiaoLingBot().handle)

    run_thread.join()
    bot_thread.join()
